lfm_3.1-2_all.deb


Advertisement

Description

lfm - simple but powerful file manager for the UNIX console

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package name lfm
Package version 3.1
Package release 2
Package architecture all
Package type deb
Installed size 288 B
Download size 73.17 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
lfm_3.1-2_all.deb 3.1 all Debian Main
lfm - - -

Requires

Name Value
python3:any -

Download

Type URL
Binary Package lfm_3.1-2_all.deb
Source Package lfm

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install lfm deb package:
    # sudo apt-get install lfm

Files

Path
/usr/bin/lfm
/usr/lib/python3/dist-packages/lfm-3.1.egg-info
/usr/lib/python3/dist-packages/lfm/__init__.py
/usr/lib/python3/dist-packages/lfm/actions.py
/usr/lib/python3/dist-packages/lfm/common.py
/usr/lib/python3/dist-packages/lfm/compress.py
/usr/lib/python3/dist-packages/lfm/folders.py
/usr/lib/python3/dist-packages/lfm/key_defs.py
/usr/lib/python3/dist-packages/lfm/lfm.py
/usr/lib/python3/dist-packages/lfm/preferences.py
/usr/lib/python3/dist-packages/lfm/ui.py
/usr/lib/python3/dist-packages/lfm/ui_widgets.py
/usr/lib/python3/dist-packages/lfm/utils.py
/usr/lib/python3/dist-packages/lfm/etc/lfm-default.keys
/usr/lib/python3/dist-packages/lfm/etc/lfm-default.theme
/usr/share/doc/lfm/README.gz
/usr/share/doc/lfm/TODO.gz
/usr/share/doc/lfm/changelog.Debian.gz
/usr/share/doc/lfm/changelog.gz
/usr/share/doc/lfm/copyright
/usr/share/man/man1/lfm.1.gz

Changelog

2018-11-13 - Daniel Echeverry <epsilon@debian.org>
lfm (3.1-2) unstable; urgency=medium
* Install docs files in correct path. (Closes: #913681)
* debian/control
+ Change my email address.
+ Change debhelper to 11 in B-D.
+ Bump standard versions 4.2.1 (no changes)
+ Remove ancient X-Python3-Version field.
* debian/patches
+ Rename ignore_COPYING.patch to Install_doc_files_correct_path.diff
+ Add fix_hotkey_for_help_menu.diff
* debian/compat
+ Switch compat level 10 to 11.
* debian/copyright
+ Extend Debian copyright holder years.
+ Use HTTPS URIs.
* debian/changelog
+ Remove some trailing whitespaces.
2017-07-04 - Daniel Echeverry <epsilon77@gmail.com>
lfm (3.1-1) unstable; urgency=medium
* New upstream release.
* All patches are refreshed.
* debian/control
+ Bump standard versions 4.0.0 (no changes)
+ Change debhelper to 10 in B-D.
* debian/copyright
+ Extend copyright holder years.
* debian/compat
+ Switch compat level 9 to 10.
2015-12-21 - Daniel Echeverry <epsilon77@gmail.com>
lfm (3.0-1) unstable; urgency=medium
* New upstream release. (Closes: #727260, #742757, #667527,
#694922, #700274, #588023)
* debian/control
+ Change Homepage field
+ Remove python (>= 2.6.6-3~) in B-D-I field
+ Add python3-all in B-D-I field
+ Change X-Python-Version to X-Python3-Version
now the code works with python3
+ Change ${python:Depends} to ${python3:Depends} in Depends
* debian/copyright
+ Update source field
+ Extend copyright holder years
* Remove lfm.docs file
* Remove lfm.links file
* debian/patches
+ Update ignore_COPYING.patch patch
+ Remove remove_install_changelog.patch patch
+ Add fix_interpreter.diff patch
+ Fix shebang
* debian/rules
+ unexport LANG variables to prevent encoding error
+ Use dh-python helper and pybuild as buildsystem
+ export PYBUILDNAME variable
+ Remove override_dh_compress
+ Remove override_dh_auto_install
+ Add override_dh_installchangelogs to install upstream changelog
* Update debian/watch file
2015-05-23 - Daniel Echeverry <epsilon77@gmail.com>
lfm (2.3-2) unstable; urgency=low
* Convert to dh_python2. Closes: #730249 #786170
* debian/control
+ Change debhelper to 9 in B-D
+ Update homepage field
+ Remove python-support in B-D
+ Add dh-python and python in B-D-I
+ Bump standard versions 3.9.6
+ Update to DEP5 copyright format 1.0
+ Extend copyright holder years
* debian/rules
+ Add dh-python support
* debian/watch
+ Update watch file
* Switch compat level 7 to 9
2011-05-21 - Daniel Echeverry <epsilon77@gmail.com>
lfm (2.3-1) unstable; urgency=low
* New Upstream release.
* debian/control
+ Bumped standard versions 3.9.2 (no changes)
+ Now require python 2.5
2011-01-24 - Daniel Echeverry <epsilon77@gmail.com>
lfm (2.2-2) unstable; urgency=low
* New maintainer. Closes: #608315
* debian/control
+ Bumped standard versions 3.9.1 (no changes)
* Removed sys file that isn't in the upstream tarball
* debian/patches
+ Added remove_install_changelog.patch
2010-05-24 - Chris Silva <racerx@makeworld.com>
lfm (2.2-1) unstable; urgency=low
* New Upstream release.
2010-05-22 - Chris Silva <racerx@makeworld.com>
lfm (2.1-3) unstable; urgency=low
* New maintainer (Closes: #582707).
* Bump Standards-Version to 3.8.4
2009-09-02 - Luca Falavigna <dktrkranz@debian.org>
lfm (2.1-2) unstable; urgency=low
* Update my e-mail address.
* Switch to debhelper 7 and quilt.
* Remove ${shlibs:Depends} from Depends.
* Bump Standards-Version to 3.8.3, no changes required.

See Also

Package Description
lft_3.8-2_i386.deb layer-four traceroute
lftp_4.8.4-2_i386.deb Sophisticated command-line FTP/HTTP/BitTorrent client programs
lgc-pg_1.4.3-1_i386.deb LGeneral converter for Panzer General game data
lgeneral-data_1.1-2_all.deb strategy game in the tradition of Panzer General -- data
lgeneral_1.4.3-1_i386.deb strategy game in the tradition of Panzer General
lgogdownloader_3.4-2_i386.deb downloader for GOG.com files
lhapdf-ccwrap-doc_5.9.1-6_all.deb C++ Bindings for LHAPDF - documentation
lhapdf-pdfsets-minimal_5.9.1-6_all.deb Minimal PDF Sets of LHAPDF
lhasa_0.3.1-3_i386.deb lzh archive decompressor
lhs2tex_1.22-2_i386.deb Generates LaTeX code from literate Haskell sources
lib++dfb-1.7-7_1.7.7-9_i386.deb direct frame buffer graphics (++DFB shared library)
lib32asan5-amd64-cross_8.3.0-2cross1_all.deb AddressSanitizer -- a fast memory error detector (32bit)
lib32asan5-ppc64-cross_8.3.0-2cross2_all.deb AddressSanitizer -- a fast memory error detector (32bit)
lib32asan5-s390x-cross_8.3.0-2cross1_all.deb AddressSanitizer -- a fast memory error detector (32bit)
lib32asan5-sparc64-cross_8.3.0-2cross2_all.deb AddressSanitizer -- a fast memory error detector (32bit)
Advertisement
Advertisement